%define name	pgadmin3
%define	version	1.2.2
%define	release	%mkrel 2
%define	Summary	Graphical client for PostgreSQL

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Databases
Source0:	%{name}-%{version}.tar.bz2
URL:		http://www.pgadmin.org/

BuildRequires:	wxgtku-devel >= 2.6
BuildRequires:  postgresql-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PostgreSQL Tools.

%prep
%setup -q

%build
%configure	--with-wx-config=wx-config-unicode
%make all

%install
rm -rf %{buildroot}
%makeinstall

cp -f src/include/images/elephant48.xpm %{buildroot}%{_datadir}/%{name}/%{name}.xpm
cp -f pkg/%{name}.desktop %{buildroot}/%{_datadir}/%{name}/%{name}.desktop

install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{name}" \
	icon="%{name}.png" \
	needs="x11" \
	section="More Applications/Databases" \
	title="PgAdmin3"\
	longtitle="%{Summary}"
EOF

install -d $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert -size 16x16 src/include/images/elephant32.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert -size 32x32 src/include/images/elephant32.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -size 48x48 src/include/images/elephant48.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.2-2mdk
- Fix BuildRequires

* Wed Jul 27 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.2-1mdk
- initial release (club request)
